import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:cmbsdk_flutter/cmbsdk_flutter.dart';

void main() {
  const MethodChannel channel = MethodChannel('cmbsdk_flutter');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '2.5.0';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('sdkVersion', () async {
    expect(await cmb.sdkVersion, '2.6.0');
  });
}
